KWIN_DRAW_ARC(3)

EXPERIMENTAL_FUNC
kwin_draw_arc - Draw an arc onto a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_draw_arc

(KPixCanvas canvas, double cx, double cy, double rx, double ry, double angle1, double angle2, double rotation, unsigned long pixel_value, flag fill)

DESCRIPTION
Draw an arc onto a pixel canvas.

canvas
    The canvas.

cx  The horizontal co-ordinate of the centre of the ellipse.

cy  The vertical co-ordinate of the centre of the ellipse.

rx  The horizontal radius.

ry  The vertical radius.

angle1
    The start of the arc, in units of degrees, relative to +X. Increasing positive values are anticlockwise.

angle2
    The end of the arc, in units of degrees, relative to +X. Increasing positive values are anticlockwise.

rotation
    The rotation of the arc, in degrees. A rotation of 0 degrees corresponds to (x > 0, y = 0). A rotation of 90 degrees corresponds to (x = 0, y > 0). In other words, the angle increases anticlockwise from the right.

pixel_value
    The pixel value to use.

fill
    If TRUE, the arc is filled, else only the outside is drawn.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/